Subject: bug#7812: 23.2; compilation-error-regexp-alist extremely unfriendly to customization interface

From: Stefan Monnier <[email-masked]>
Date: Thu, 20 Jan 2011 10:49:40 -0500

> Yes, but you *can* design the module so as to make it a non-issue.
> Give people a customizable variable that is solely for their own use,
> and give them a way to override the contents of the base alist, which
> is not customizable but updated with the module.

That's one option.  Another (which I prefer) is to use a defcustom
that lets the user add-to-front, add-to-rear, and remove elements.

Someone had proposed such a `diff-list' thingy for load-path at
some point.  I really think we should try to get such a thing working.

        Stefan